Skip to main content

List access profile's entitlements

GET 

/access-profiles/v2/:id/entitlements

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Get a list of an access profile's entitlements.

This version reads from Search Lite and returns a superset of the entitlement returned by List Access Profile's Entitlements V1, adding the entitlement's tags and calculated privilegeLevel. It also supports opaque cursor pagination through the cursor parameter and X-Next-Cursor response header.

A SOURCE_SUBADMIN user must have access to the source associated with the specified access profile.

Request​

Responses​

List of entitlements.

Response Headers
    X-Total-Count

    The total result count, returned when count is true.

    Example: 42
    X-Next-Cursor

    Opaque cursor for the next page of results, returned when more results exist.

    Example: W3sic29ydCI6ImNyZWF0ZWQiLCJ2YWx1ZSI6IjIwMjEtMDMtMDFUMjI6MzI6NTguMTA0WiJ9LHsic29ydCI6ImlkIiwidmFsdWUiOiIyYzkxODA4YTcxOTBkMDZlMDE3MTk5MzhmY2QyMDc5MiJ9XQ